Subject: Re: bug#29187: flymake ruby and perl tests fail on rhel7.4

From: Dmitry Gutov <[email-masked]>
Date: Tue, 7 Nov 2017 12:21:00 +0200

On 11/7/17 2:45 AM, João Távora wrote:

> Dmitry does that happen with all the tests?

Only the "ruby backend" test. And the rest of 'make check' looks like this:

Ran 2576 tests, 2552 results as expected, 1 unexpected, 23 skipped

> The difference between
> interactive and non-interactive shows that you may be experiencing some
> variation on the strange behaviour of https://debbugs.gnu.org/17647,
> which I try to work around in flymake tests.

Is there any way I can check?

> Anyway, Glenn and Dmitry can you please show the output of
> 
>    ruby -wc test/lisp/progmodes/flymake-resources/test.rb
> 
> and
> 
>    perl -wc test/lisp/progmodes/flymake-resources/test.pl
> 
> on RHEL7.4? I get, respectively
> 
>    test/lisp/progmodes/flymake-resources/test.rb:3: warning: statement not reached
>    test/lisp/progmodes/flymake-resources/test.rb:5: syntax error, unexpected end-of-input, expecting keyword_end

Almost the same:

test/lisp/progmodes/flymake-resources/test.rb:2: warning: statement not 
reached
test/lisp/progmodes/flymake-resources/test.rb:5: syntax error, 
unexpected $end, expecting keyword_end

> and
> 
>    Unquoted string "unknown" may clash with future reserved word at test/lisp/progmodes/flymake-resources/test.pl line 2.
>    syntax error at test/lisp/progmodes/flymake-resources/test.pl line 4, at EOF
>    Missing right curly or square bracket at test/lisp/progmodes/flymake-resources/test.pl line 4, at end of line
>    test/lisp/progmodes/flymake-resources/test.pl had compilation errors.

Exactly the same here.